#ifndef INTERACTABLEPROJECTILE_HPP_INCLUDED
#define INTERACTABLEPROJECTILE_HPP_INCLUDED

#include "../../Core/Classes/Projectile.hpp"
#include <vector>
#include "../../Core/Types/Point.hpp"
#include "../../Core/Types/Tile.hpp"
#include "../../Core/Classes/Character.hpp"

namespace Interactable
{
    class Projectile : public Internal::Projectile
    {
        public:
            Projectile(const Internal::Projectile& P);
            Projectile(const Projectile& P);

            std::vector<Point> GetModel() const;
            Tile GetTile() const;
            Internal::Character GetInteracting() const;
            bool Interacting() const;
            bool Interacting(const Internal::Character& C) const;

    };
}

#endif // INTERACTABLEPROJECTILE_HPP_INCLUDED
